summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-12 05:58:36 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-03-12 05:58:36 +0000
commitea6cb4e4f3b81aacf82358e8613d391c136ad2c9 (patch)
treec7a1a24bfec572f1b1585b805920b334327265b5 /bin
parentAdding makefile. (diff)
downloadcompute-tools-ea6cb4e4f3b81aacf82358e8613d391c136ad2c9.tar.xz
compute-tools-ea6cb4e4f3b81aacf82358e8613d391c136ad2c9.zip
Adding container program.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'bin')
l---------bin/cnt1
-rwxr-xr-xbin/container47
2 files changed, 48 insertions, 0 deletions
diff --git a/bin/cnt b/bin/cnt
new file mode 120000
index 0000000..50208cb
--- /dev/null
+++ b/bin/cnt
@@ -0,0 +1 @@
+container \ No newline at end of file
diff --git a/bin/container b/bin/container
new file mode 100755
index 0000000..3bfe7b5
--- /dev/null
+++ b/bin/container
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Open Infrastructure: container-tools
+# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+SOFTWARE="container-tools"
+PROGRAM="container"
+
+# Parameter
+PARAMETER="${1}"
+
+if [ -z "${PARAMETER}" ]
+then
+ echo "Usage: ${PROGRAM} COMMAND [OPTIONS]" >&2
+ exit 1
+fi
+
+# Command
+COMMAND="${1}"
+
+if [ ! -e "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" ]
+then
+ echo "'${COMMAND}': no such ${PROGRAM} command" >&2
+ exit 1
+fi
+
+# Options
+shift 1
+OPTIONS="${@}"
+
+# Run
+exec "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}"